Bug 1817119 - [ci] Problems with TestOperatorProxyConfiguration and TestOperandProxyConfiguration on Azure
Summary: [ci] Problems with TestOperatorProxyConfiguration and TestOperandProxyConfigu...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Image Registry
Version: 4.5
Hardware: Unspecified
OS: Unspecified
unspecified
urgent
Target Milestone: ---
: 4.5.0
Assignee: Ricardo Maraschini
QA Contact: Wenjing Zheng
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-03-25 15:42 UTC by Oleg Bulatov
Modified: 2020-07-13 17:24 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-07-13 17:23:43 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift cluster-image-registry-operator pull 551 0 None closed Bug 1817119: Remove retries from azure client 2020-06-23 09:36:57 UTC
Red Hat Product Errata RHBA-2020:2409 0 None None None 2020-07-13 17:23:59 UTC

Description Oleg Bulatov 2020-03-25 15:42:34 UTC
TestOperatorProxyConfiguration and TestOperandProxyConfiguration are red on Azure.

https://prow.svc.ci.openshift.org/view/gcs/origin-ci-test/pr-logs/pull/openshift_cluster-image-registry-operator/458/pull-ci-openshift-cluster-image-registry-operator-master-e2e-azure-operator/9
https://prow.svc.ci.openshift.org/view/gcs/origin-ci-test/pr-logs/pull/openshift_cluster-image-registry-operator/458/pull-ci-openshift-cluster-image-registry-operator-master-e2e-azure-operator/10

TestOperatorProxyConfiguration:
    condition.go:58: &errors.errorString{s:"condition StorageExists status should be \"Unknown\" but was True instead"}
    condition.go:58: &errors.errorString{s:"condition StorageExists reason should have been \"Unknown Error Occurred\" but was ContainerExists instead"}
    condition.go:58: &errors.errorString{s:"timed out waiting for the condition"}

TestOperandProxyConfiguration:
    configuration_test.go:339: waiting for the operator to recreate the deployment...
    configuration_test.go:355: waiting for the operator to recreate the deployment...
    envvars.go:54: unable to find environment variable: wanted NO_PROXY
    envvars.go:54: unable to find environment variable: wanted HTTP_PROXY
    envvars.go:54: unable to find environment variable: wanted HTTPS_PROXY

Comment 6 Wenjing Zheng 2020-05-26 07:21:22 UTC
This test has been passed and also I can start an Azure+proxy cluster with 4.5.0-0.nightly-2020-05-25-232952 successfully:
https://deck-ci.apps.ci.l2s4.p1.openshiftapps.com/view/gs/origin-ci-test/pr-logs/pull/openshift_cluster-image-registry-operator/551/pull-ci-openshift-cluster-image-registry-operator-master-e2e-azure-operator/21

Comment 8 errata-xmlrpc 2020-07-13 17:23:43 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:2409


Note You need to log in before you can comment on or make changes to this bug.